package zendesk.messaging.android

/**
 * In which UI element a URL was displayed to the user when it was clicked.
 *
 * @see MessagingDelegate.shouldHandleUrl
 */
@Deprecated(message = "Please use Zendesk SDK")
public enum class UrlSource {

    /**
     * The URL was part of a text message.
     */
    TEXT,

    /**
     * The URL was an action of a carousel item.
     */
    CAROUSEL,

    /**
     * The URL of a file in the conversation.
     */
    FILE,

    /**
     * The URL of an image in the conversation.
     */
    IMAGE,

    ;
}
